Twitter Plugin - Defect #273

getTimeline doesn't honor maxCount when showing retweets
04/23/2011 09:48 PM - Robert Ivens

Status: Closed Start date: 04/23/2011
Priority: Normal Due date:

Assignee: Patrick Talbot % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
When getting the timeline with retweets | get twice the amount of the maxCount.

History

#1 - 04/24/2011 03:10 AM - Patrick Talbot

- Status changed from New to In Progress

#2 - 04/24/2011 03:11 AM - Patrick Talbot

Cannot reproduce with 0.8.1 - please confirm

#3 - 04/24/2011 08:27 PM - Robert Ivens

This one is really weird.

A maxCount from 1 till 14 give the correct result.
A maxCount of 15 gives 14 back (1 difference).

A maxCount of 16 gives 15 back (1 differenc
A maxCount of 17 gives 15 back (2 differenc
A maxCount of 18 gives 16 back (2 difference
A maxCount of 19 gives 17 back (2 differenc
A maxCount of 20 gives 18 back (2 differenc
A maxCount of 21 gives 19 back (2 difference).
A maxCount of 22 gives 17 or 37 back (5 or 17 difference).
A maxCount of 23 gives 18 or 21 back (5 or 2 difference).

e).
e).

e
e

e~~~ o~~~

)
)
).
)-
)
)

Etc...

#4 - 04/25/2011 04:19 PM - Robert Ivens

It looks like this is only an issue with getAccountTimeLine().
All the other functions seem to give back the proper amount of tweets.

#5 - 04/25/2011 08:21 PM - Patrick Talbot

| cannot tell you how inconsistent the calls to /friends_timeline and /home_timeline are!

There are a couple issues open on the Twitter bug tracker, | think this is actually even worse than what is reported here:
http://code.google.com/p/twitter-api/issues/detail ?id=2016

http: . le.com/p/twitter-api/i i1?7id=1
http://code.google.com/p/twitter-api/issues/detail ?id=1430
http://code.google.com/p/twitter-api/issues/detail ?id=412
http: . le.com/p/twitter-api/i i1?7id=17
http://code.google.com/p/twitter-api/issues/detail ?id=2037

I'm trying to workaround that and have managed to get a correct count, but sometimes the tweets themselves are not the one expected!

#6 - 04/25/2011 09:22 PM - Patrick Talbot

v0.8.3 now returns a consistent number of tweets.
Make sure to update the /plugins/twitter/jtwitter.jar that | have slightly changed for this.

Still the tweets themselves are not consistently returned, and | suspect this has more to do with the Twitter API bugs than a problem in the lib or the
plugin...
http://code.google.com/p/twitter-api/issues/detail?id=2016
http://code.google.com/p/twitter-api/issues/detail?id=1656
http://code.google.com/p/twitter-api/issues/detail?id=1430
http://code.google.com/p/twitter-api/issues/detail?id=412
http://code.google.com/p/twitter-api/issues/detail?id=1735
http://code.google.com/p/twitter-api/issues/detail?id=2037

#7 - 04/25/2011 10:02 PM - Robert Ivens

- getReplies seems to toggle between no result and my 6 tweets.

- yes the maxCount seems to be a 'suggestion' for twitter it seems.

#8 - 04/25/2011 11:02 PM - Patrick Talbot

Seems fixed to me with 0.8.4 - please confirm

#9 - 04/26/2011 02:08 AM - Robert lvens

- Status changed from In Progress to Closed

Works for me now.
